#
# spec file for package fetchmail (Version 5.9.0)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  ed openssl openssl-devel
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib ed gcc gdbm gettext libtool libz openssl openssl-devel pam perl rpm

Name:         fetchmail
Autoreqprov:  on
Summary:      fetchmail - Full-featured POP/IMAP mail retrieval daemon
Version:      5.9.0
Release:      279
URL:          http://www.tuxedo.org/~esr/fetchmail
Source:       %{name}-%{version}.tar.bz2
Source1:      README.SuSE
Patch0:       %{name}-%{version}.dif
Patch1:       fetchmail-secfix.diff
Patch2:       fetchmail-rfc822-secfix.diff
Group:        Productivity/Networking/Email/Utilities
Group(pt_BR):   Aplicaes/Correio Eletrnico
License:      GPL
Icon:		fetchmail.xpm
Requires:     smtp_daemon
Provides:     fetchml pop:/usr/bin/fetchmail
Obsoletes:    fetchml
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary(fr):    Collecteur (POP/IMAP) de courrier lectronique
Summary(de):    Program zum Abholen von E-Mail via POP/IMAP
Summary(pt):    Busca mensagens de um servidor usando POP ou IMAP
Summary(es):    Recolector de correo via POP/IMAP
Summary(pl):    Zdalny demon pocztowy do protokow POP2, POP3, APOP, IMAP
Summary(tr):    POP2, POP3, APOP, IMAP protokolleri ile uzaktan mektup alma yazlm
Summary(da):    Alsidig POP/IMAP post-afhentnings dmon
%define builddir $RPM_BUILD_DIR/%{name}-%{version}

%description
Fetchmail is a robust, and well-documented remote mail retrieval
and forwarding utility intended to be used over on-demand TCP/IP
links (such as SLIP or PPP connections).

It retrieves mail from remote mail servers and forwards it to your
local machine's delivery system, so it can then be be read by normal
mail user agents such as mutt, elm, pine, (x)emacs/gnus, or mailx.

fetchmailconf, an interactive GUI configurator suitable for end-users
is found in the fetchmailconf package.

Authors:
--------
    Eric S. Raymond <esr@thyrsus.com>

SuSE series: n

%package -n fetchmailconf
Summary:      fetchmailconf - a fetchmail configurator
Summary(pl):    GUI konfigurator do fetchmaila
Summary(fr):	GUI configurateur pour fetchmail
Summary(es):	Configurador GUI interactivo para fetchmail
Summary(pt):	Um configurador grfico para o fetchmail
Group:        Productivity/Networking/Email/Utilities
Group(pt):		Utilitrios/Sistema
#Requires:       %{name} = %{version}, python
#                ^^^^^^^^^^^^^^^^^^^^ Versionized dependices...
# would be beautiful, but abuild doesn't support it yet(confuses parsing)
Requires:     fetchmail, python, python-tk, python-imaging, libjpeg, libtiff
Provides:     fetchmcf fetchml:/usr/bin/fetchmailconf
Obsoletes:    fetchmcf

%description -n fetchmailconf
A GUI configurator for generating fetchmail configuration files (.fetchmailrc).

Authors:
--------
    Eric S. Raymond <esr@thyrsus.com>

SuSE series: n

%prep
%setup -q -n %{name}-%{version}
%patch0
%patch1 -p1
%patch2 -p1
%{?suse_update_config}

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s
export CFLAGS LDFLAGS
case `/usr/share/automake/config.guess` in
  i?86-*-linux|i?86-*-linux-gnu|alpha*linux*|powerpc*)
	export EXTRA_LIBS="-lcrypt"	;;
  *)	export EXTRA_LIBS=""		;;
esac
./configure --prefix=/usr \
	--enable-POP2 \
	--enable-nls \
	--with-included-gettext \
	--enable-NTLM \
	--enable-RPA \
	--enable-SDPS \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--sysconfdir=/etc \
	--sharedstatedir=/var \
	--with-ssl=/usr
#	--with-gssapi
#	--with-kerberos5
#	--enable-opie
make

%install
if [ -d $RPM_BUILD_ROOT ]
	then rm -rf $RPM_BUILD_ROOT
fi
#make install prefix=$RPM_BUILD_ROOT/usr
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
cd $RPM_BUILD_ROOT/%{_mandir}/man1
ln -sf fetchmail.1.gz fetchmailconf.1.gz
rm -rf %{builddir}/contrib/RCS
chmod 644 %{builddir}/contrib/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/fetchmail
%doc %{_mandir}/man1/fetchmail.1.gz
%doc README NEWS NOTES FAQ COPYING FEATURES contrib $RPM_SOURCE_DIR/README.SuSE
%doc fetchmail-features.html fetchmail-FAQ.html design-notes.html
/usr/share/locale/*/LC_MESSAGES/fetchmail.mo

%files -n fetchmailconf
/usr/bin/fetchmailconf
%doc %{_mandir}/man1/fetchmailconf.1.gz

%changelog -n fetchmail
* Fri Dec 13 2002 - mmj@suse.de
- Add patch to fix rfc822 security hole
* Mon Sep 30 2002 - mmj@suse.de
- Add patch to fix multidrop security hole
* Wed May 29 2002 - jreuter@suse.de
- Fixed a security problem with a malicious server returning a very
  high message count that lead to allocating a memory area that
  could overlap a portion of the stack.
- Fixed a possible bufferoverflow due to an incorrect maximum string
  length provided to vsnprintf
- Bugfix: SSL connections will no longer hang when the server unexpectedly
  drops the TCP connection.
* Sat Mar 23 2002 - kukuk@suse.de
- Fix fetchmailconf (wrong python widget destroy calls) [Bug #15391]
* Mon Sep 17 2001 - bjacke@suse.de
- minor fixes in README.SUSE
* Thu Aug 16 2001 - bjacke@suse.de
- update to 5.9.0
* Thu Jul 12 2001 - bjacke@suse.de
- update to 5.8.14
* Fri Jun 15 2001 - bjacke@suse.de
- patch to prevent buffer overflow due to long headers
* Tue Apr 03 2001 - bjacke@suse.de
- update to 5.8.0
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Wed Feb 14 2001 - bjacke@suse.de
- updated to 5.6.5 (fixes #6245)
- fix fetchmailconf nospambounce problem
- enable RPA protocol
* Fri Jan 05 2001 - bjacke@suse.de
- disabled IPv6 support for the time being to fix bug #5111
* Wed Dec 20 2000 - garloff@suse.de
- pass --enable-NTLM to configure in order to enable M$ Exchange
  compatible auth proto
- explicitly specify the directories with --mandir etc ...
- Use DESTDIR= instead of prefix to pass RPM_BUILD_ROOT
- add %%{?suse_update_config}
* Mon Dec 18 2000 - bjacke@suse.de
- some spec file fixes
* Mon Dec 18 2000 - ro@suse.de
- Fix requires for fetchmailconf (again)
* Mon Dec 18 2000 - bjacke@suse.de
- merged ssl stuff from fetchmailssl to fetchmail package
* Wed Nov 29 2000 - bjacke@suse.de
- updated to 5.6.0
- adjust README to new boot concept
* Fri Nov 10 2000 - bjacke@suse.de
- updated to version 5.5.5
- switched to long names
- added README.SuSE
* Sun Sep 03 2000 - bjacke@suse.de
- update to fetchmail-5.5.1
* Tue May 23 2000 - bk@suse.de
- moved fetchmailconf man page to subpackage fetchmcf
* Mon May 15 2000 - bk@suse.de
- update to fetchmail-5.4.0, new major version.
* Wed Mar 01 2000 - werner@suse.de
- Fix config.guess selection
* Thu Feb 24 2000 - dipa@suse.de
- update to fetchmail-5.3. update to fetchmail-5.3.00
* Tue Feb 15 2000 - bk@suse.de
- update to fetchmail-5.2.8, that's the code freeze release for 5.3.0
* Tue Feb 08 2000 - bk@suse.de
- update to fetchmail-5.2.7, Eric's changelog to 5.2.6 is very small:
  * Updated FAQ and
  * Updated es.po.
  * Disable mail notification on server unreachable.  This turned out to
  be a very bad idea.
* Tue Feb 01 2000 - ro@suse.de
- specfile typo
* Tue Feb 01 2000 - ro@suse.de
- create man directory
* Mon Jan 31 2000 - bk@suse.de
- restarted spec from package-provided spec, subpackages fetchmcf (fetchmailconf)
* Wed Oct 20 1999 - bk@suse.de
- split-off from pop, update to 5.1.2
